<!DOCTYPE html>
<html lang="ru">

<head itemscope itemtype="http://schema.org/WebSite">

    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Teachinder</title>

    <link rel="stylesheet" href="./css/app.css">
    <script src="https://kit.fontawesome.com/42f1ad770e.js" crossorigin="anonymous"></script>


</head>

<body itemscope itemtype="http://schema.org/WebPage">


<header>
    <div class=header>
        <section class="header_logo">
            <div class="logo">Teachinder</div>
        </section>
        <section class="header_search">
            <input class="search_field" type="text" name="search" placeholder="Enter name to search">
            <button class="search_button" type="submit">Search</button>
        </section>
    </div>
    <div class="menu">
        <div class="navigation_menu">
            <nav>
                <ul class="menu_list">
                    <li><a href="#teachers">Teachers</a></li>
                    <li><a href="#statistics">Statistics</a></li>
                    <li><a href="#favorites">Favorites</a></li>
                    <li><a href="#about">About</a></li>
                </ul>
            </nav>
        </div>
    </div>
    <button class="add_button add_button_clicked"> Add Teacher</button>
</header>

<main>
    <hr class="horizontal_line">
    <article>
        <section>
            <div class="head_line">Top Teachers</div>
            <div>
                <form class="filter_by">
                    Filter by:
                    <label>
                        <input type="checkbox" name="sort" value="1">
                        <span class="filter_field">Show only with photo </span>
                    </label>
                    <span class="vertical_line"> | </span>
                    <label>
                        <input type="checkbox" name="sort" value="2">
                        <span class="filter_field">Show only favorites</span>
                    </label>
                </form>
            </div>
            <div class="filter_teachers">
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png">
                    <figure class="circle">
                        <div class="initials">R.G</div>
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
                <div class="teacher_placement teacher_button_clicked">
                    <img class="star" src="images/star.png" alt="Star">
                    <figure class="circle">
                        <div class="initials">R.G</div>
                    </figure>
                    <br>
                    <p class="full_name">Ryan<br>Gosling<br></p>
                    <p class="country">Canada</p>
                </div>
            </div>

        </section>
        <hr class="horizontal_line">
        <section>
            <div class="head_line">Statistics</div>
            <div>
                <table class="table_of_stats">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Age</th>
                        <th>Gender</th>
                        <th>Nationality</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>Ryan Gosling</td>
                        <td>40</td>
                        <td>Male</td>
                        <td>Canada</td>
                    </tr>
                    <tr>
                        <td>Vitaly Tsal</td>
                        <td>30</td>
                        <td>Male</td>
                        <td>Ukraine</td>
                    </tr>
                    <tr>
                        <td>Big Floppa</td>
                        <td>12</td>
                        <td>Female</td>
                        <td>Russia</td>
                    </tr>
                    <tr>
                        <td>Monke</td>
                        <td>16</td>
                        <td>Male</td>
                        <td>Germany</td>
                    </tr>
                    <tr>
                        <td>Mini Pig</td>
                        <td>10</td>
                        <td>Female</td>
                        <td>Australia</td>
                    </tr>
                    <tr>
                        <td>El Baguette</td>
                        <td>43</td>
                        <td>Male</td>
                        <td>France</td>
                    </tr>
                    <tr>
                        <td>Cypis Solo</td>
                        <td>32</td>
                        <td>Male</td>
                        <td>Poland</td>
                    </tr>
                    <tr>
                        <td>Artem Moliboga</td>
                        <td>20</td>
                        <td>Male</td>
                        <td>Ukraine</td>
                    </tr>
                    <tr>
                        <td>Kyril Serediuk</td>
                        <td>19</td>
                        <td>Male</td>
                        <td>Ukraine</td>
                    </tr>
                    <tr>
                        <td>Queen Elilizabeth 2</td>
                        <td>94</td>
                        <td>Female</td>
                        <td>UK</td>
                    </tr>
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="4" rowspan="2">
                            <a href="#" class="numbers">1</a>
                            <a href="#" class="numbers">2</a>
                            <a href="#" class="numbers">3</a>
                            <span>...</span>
                            <a href="#" class="numbers">Last</a>
                        </td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </section>
        <hr class="horizontal_line">
        <section class="favorites">
            <div class="head_line">Favourites</div>
            <div class="slide_teachers">
                <div class="teacher_placement" id="teacher1">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <span class="full_name">Ryan<br>Gosling<br></span>
                    <span class="country">Canada</span>
                </div>
                <div class="teacher_placement" id="teacher2">
                    <figure class="circle">
                        <div class="initials">R.G</div>
                    </figure>
                    <br>
                    <span class="full_name">Ryan<br>Gosling<br></span>
                    <span class="country">Canada</span>
                </div>
                <div class="teacher_placement" id="teacher3">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <span class="full_name">Ryan<br>Gosling<br></span>
                    <span class="country">Canada</span>
                </div>
                <div class="teacher_placement" id="teacher4">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <span class="full_name">Ryan<br>Gosling<br></span>
                    <span class="country">Canada</span>
                </div>
                <div class="teacher_placement" id="teacher5">
                    <figure class="circle">
                        <img class="teacher_photo" src="images/teacher.jpg" alt="Teacher">
                    </figure>
                    <br>
                    <span class="full_name">Ryan<br>Gosling<br></span>
                    <span class="country">Canada</span>
                </div>
            </div>
        </section>
        <section>
            <div class="description">
                <p>
                    Lorem ipsum dolor sit amet, consecrator adipisicing alit. A atque facere, hic impedit itaque
                    molestiae
                    sit tempore?
                    Ea
                    in mollitia natus rerum voluptates. Ea ex excepturi facere tempora. Aliquid asperiores hic impedit
                    iusto natus
                    quaerat
                    sit? Culpa iusto optio voluptas voluptate.
                    Enim eveniet fugit iure maiores molestiae, praesentium quia.<br><br>

                    Lorem ipsum dolor sit amet, consecrator adipisicing alit. Aliquam eligendi illum in inverntore ipsum
                    odio officiis
                    omins quisquam sed tempora?<br><br>

                    Lorem ipsum dolor sit amet, consecrator adipisicing alit. A atque esse expedita id usto mollitia,
                    odit
                    sint ullam
                    veritatis vero?
                </p>
            </div>

        </section>
    </article>
</main>
<div class="overlay add_window">
    <div class="popup any_popup">
        <form class="form" class="add_teacher">
            <fieldset>
                <h2>Add Teacher</h2>
                <label for="fname">Name</label><br>
                <input class="input" id="fname" type="text" name="fname" placeholder="Enter name" autofocus
                       required><br>
                <label for="country">Country </label><br>
                <select id="country" name="country">
                    <option selected>Ukraine</option>
                    <option>Australia</option>
                    <option>Canada</option>
                    <option>France</option>
                    <option>Germany</option>
                    <option>Poland</option>
                    <option>Russia</option>
                    <option>UK</option>
                    <option>USA</option>
                </select><br>
                <label for="city">City </label><br>
                <input class="input" id="city" type="text" name="city" required><br>
                <label for="phone">Phone </label><br>
                <input class="input" id="phone" type="number" name="phone"
                       pattern="+[0-9]{3}-[0-9]{2}-[0-9]{3}-[0-9]{2}-[0-9]{2}" autocomplete="on" required><br>
                <label for="email">Email </label><br>
                <input class="input" id="email" name="email" pattern="[a-z]@[a-z].[a-z]" autocomplete="on" required><br>
                <label for="age">Age</label><br>
                <input class="input" id="age" type="text" name="age" required><br>
                <label for="sex" id="sex">Sex </label>
                <div class="right">
                    <label for="male">Male</label>
                    <input type="radio" id="male" name="sex" value="male"/>
                    <label for="female">Female</label>
                    <input type="radio" id="female" name="sex" value="female"/>
                </div>
                <br>
                <div class="background_color">
                    <label for="background" >Background color:</label>
                    <input class="right" id="background" type="color" name="bg">
                    <img class="colours" src="images/circle.svg" alt="Colours"><br>
                </div>

                <input class="add" type="submit" value="Add">
            </fieldset>
        </form>
        <div aria-label="Close" class="popup_close close_button_clicked"></div>
    </div>
</div>
<div class="teacher_overlay teacher_window">
    <div class="teacher_popup js-popup-teacher-campaign">
        <h2>Teacher Info</h2>
        <figure class="teacher_card">
            <img src="images/teacher.jpg" alt="Teacher">
        </figure>
        <div class="general_information">
            <img class="star2" src="images/star2.svg" alt="Star">
            <h1>Ryan Gosling</h1>
            <p>Ontario, Canada</p>
            <p>40, M</p>
            <p class="email">ryan.gosling@gmail.com</p>
            <p>+1-77-777-77-77</p>
        </div>
        <div class="clearfix"></div>
        <div>
            <p class="comment">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur eget est nisi.
                Vivamus at nibh ut diam auctor luctus.
                Duis ut nibh vel odio mollis efficitur. Cras fermentum ex erat, id tristique ligula elementum at.
                Morbi facilisis augue
                dolor, nec imperdiet urna gravida nec. Phasellus euismod mollis neque eget bibendum.
                Nulla hendrerit, augue eu suscipit
                pellentesque...
            </p>
            <a href="toggle_map">toggle map</a>
        </div>

        <div aria-label="Close" class="popup_close close_button_clicked"></div>
    </div>
</div>
</div>
<footer>
    <div class="footer_navigation_menu">
        <nav>
            <ul class="menu_list">
                <li><a class="foot" href="#teachers">Teachers</a></li>
                <li><a class="foot" href="#statistics">Statistics</a></li>
                <li><a class="foot" href="#favorites">Favorites</a></li>
                <li><a class="foot" href="#about">About</a></li>
            </ul>
        </nav>
    </div>
    <button class="add_button add_button_clicked">Add Teacher</button>
</footer>
<script>
  function window_popup(el) {
    var opacity = 0.01;
    document.querySelector(el).style.display = 'block';
    var timer = setInterval(function () {
      if (opacity >= 1) {
        clearInterval(timer);
      }
      document.querySelector(el).style.opacity = opacity;
      opacity += opacity * 0.1;
    }, 10);
  }

  function window_popout(el) {
    var opacity = 1;
    var timer = setInterval(function () {
      if (opacity <= 0.1) {
        clearInterval(timer);
        document.querySelector(el).style.display = 'none';
      }
      document.querySelector(el).style.opacity = opacity;
      opacity -= opacity * 0.1;
    }, 10);
  }

  const cbox = document.querySelectorAll('.add_button_clicked');
  for (let i = 0; i < cbox.length; i++) {
    cbox[i].addEventListener('click', function () {
      document.querySelector('header').style.filter = 'blur(5px)';
      document.querySelector('main').style.filter = 'blur(5px)';
      document.querySelector('footer').style.filter = 'blur(5px)';
      window_popup('.add_window');
      document.querySelector('.add_window')
        .classList
        .add('disabled');
    });
  }
  const cbox2 = document.querySelectorAll('.close_button_clicked');
  for (let i = 0; i < cbox2.length; i++) {
    cbox2[i].addEventListener('click', function () {
      document.querySelector('header').style.filter = 'none';
      document.querySelector('main').style.filter = 'none';
      document.querySelector('footer').style.filter = 'none';
      window_popout('.add_window');
      window_popout('.teacher_window');
    });
  }
  const cbox3 = document.querySelectorAll('.teacher_button_clicked');
  for (let i = 0; i < cbox3.length; i++) {
    cbox3[i].addEventListener('click', function () {
      document.querySelector('header').style.filter = 'blur(5px)';
      document.querySelector('main').style.filter = 'blur(5px)';
      document.querySelector('footer').style.filter = 'blur(5px)';
      window_popup('.teacher_window');
      document.querySelector('.teacher_window')
        .classList
        .add('disabled');
    });
  }
  document.addEventListener('mouseup', (el) => {
    var popup = document.querySelector('any_popup');
    if (el.target != popup[0] && popup.has(el.target).length === 0) {
      document.querySelector('header').style.filter = 'none';
      document.querySelector('main').style.filter = 'none';
      document.querySelector('footer').style.filter = 'none';
      window_popout('.add_window');
      window_popout('.teacher_window');

    }
  });
</script>
</body>

</html>
